Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232753 - system hang in OS installation
Summary: system hang in OS installation
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.0
Hardware: x86_64
OS: Linux
medium
high
Target Milestone: ---
: ---
Assignee: Alan Cox
QA Contact: Martin Jenner
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-17 03:09 UTC by George
Modified: 2008-01-08 21:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-01-08 21:37:17 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description George 2007-03-17 03:09:55 UTC
Description of problem:
When installing from CDROM (boot.iso), it hangs after the following message

Probe IDE interface ide0 ...

This system doesn't have ide HD, but does have S_ATA

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Fresh install OS from CDROM
2. Choose default (Enter)
3. wait for the message
  
Actual results:
System hangs, and installation won't continue

Expected results:
smooth installation

Additional info:

Comment 1 Alan Cox 2007-03-29 09:47:57 UTC
Can you tell me more about the hardware (vendor etc) and also whether it
proceeds further after about 2 minutes ?



Comment 2 George 2007-03-29 20:18:29 UTC
Hi Alan,

Thanks for looking into the bug. The HW is 
HP Pavilion Media Center a1610n Ath64 X2 4200+ Dual-Core 1GB Memory  SATA HD 250GB.

It doesn't proceeds further. 


Comment 3 Alan Cox 2007-03-29 22:05:28 UTC
I'm not sure what is going on initially but can you see if any of the following
boot options have any effect

"acpi=off"
"ide0=noprobe"
"irqpoll"

That will help me understand what is going on


Comment 4 George 2007-04-04 15:25:51 UTC
The installation can continue by using "acpi=off" .

Also noticed one thing, nfs installation doesn't work, but ftp or http
installation works fine. 

Thank you.

Comment 7 Jarod Wilson 2007-09-12 15:18:47 UTC
George, can we have you try a few things?

1) if a newer BIOS exists for this system, please update your BIOS and see if
the problem persists

2) try installing the latest fedora rawhide, so we can determine if a fix may
already exist in the latest upstream kernel

Comment 8 Alan Cox 2008-01-08 21:36:51 UTC
Certain HP systems reused port 0x80 (allocated to the ISA debug port) for ACPI
control.  It's a somewhat bizarre and crazy thing to have done but they did it
and PC standards being convention and armwaving rather than documented make it
hard to say if its right or wrong.

The upshot however is such machines will not run Linux without acpi=off and the
various ACPI managed features are not usable in Linux. Fixing that for RHEL5
would be high risk, and given acpi=off works as a workaround I think we should
leave it at that.

Some of this is currently getting worked out upstream so hopefully future
products will handle it now we finally found out what is going on.



Note You need to log in before you can comment on or make changes to this bug.